[Hackage] #231: "buildable: False" should fail the current configuration

Hackage trac at galois.com
Fri Aug 15 10:37:02 EDT 2008

#231: "buildable: False" should fail the current configuration
  Reporter:  duncan         |        Owner:  nominolo 
      Type:  defect         |       Status:  new      
  Priority:  normal         |    Milestone:  Cabal-1.6
 Component:  Cabal library  |      Version:  
  Severity:  normal         |   Resolution:           
  Keywords:                 |   Difficulty:  normal   
Ghcversion:  6.8.2          |     Platform:           
Comment (by duncan):

 Another possibility is to deprecate buildable for this use case and add
 `fail` instead which would provide an error message to indicate why a
 particular configuration is not possible.

 The semantics would be slightly different to `buildable: False`. It would
 make configuring the whole package fail, not just disable building that
 executable or library.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/231#comment:3>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list